import { GeoFence } from "../geofence";
import { LocationValue } from './location-object-value';
export declare class ApplyGeoFenceWidgetValue {
    geoFence: GeoFence;
    formObjectTitle: string;
    formObjectSubTitle: string;
    formObjectId: string;
    inside: boolean;
    location: LocationValue;
    constructor(applyGeoFenceObject?: ApplyGeoFenceWidgetValue);
    createNewGeoFenceValue(): void;
    /**function to create apply geofence object with existing values
     *
     *@param applyGeoFenceObject
     *
     */
    createGeoFenceValue(applyGeoFenceObject?: any): void;
}
